variables:
  DOCKER_HOST: "tcp://docker:2375"
  DOCKER_TLS_CERTDIR: ""

ci:
  stage: .pre
  image: docker:19.03.1
  tags:
    - ssec_shared
  services:
    - docker:19.03.1-dind
  script:
    - docker --version
    - docker login --username $CI_REGISTRY_USER --password $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - cd ci
    - docker build --tag $CI_REGISTRY_IMAGE .
    - docker push $CI_REGISTRY_IMAGE
  rules:
    - changes:
        - ci/Dockerfile
      when: always

# build:
#   stage: build
#   tags:
#     - ssec_shared
#   image: $CI_REGISTRY_IMAGE
#   script:
#     -
#

test:
  tags:
    - ssec_shared
  script:
    - python --version
    # - pip install -e .
    # - python setup.py build_ext --inplace
    - pytest tests/test_conf.py
    - pytest tests/test_read_data.py::test_sst
    - pytest tests/test_read_data.py::test_ndvi
    - pytest tests/test_read_data.py::test_geos
    - pytest tests/test_spectral_tests.py
